package intrinsic.mx.core;

public class UITextField extends intrinsic.mx.core.FlexTextField implements intrinsic.mx.styles.ISimpleStyleClient, intrinsic.mx.managers.IToolTipManagerClient, intrinsic.mx.core.IIMESupport, intrinsic.mx.core.IFlexModule, intrinsic.mx.core.IUIComponent, intrinsic.mx.core.IInvalidating, intrinsic.mx.core.IFlexDisplayObject, intrinsic.mx.automation.IAutomationObject {

	/** Accessors */
	public boolean initialized;
	public double explicitWidth;
	public boolean enabled;
	public intrinsic.flash.display.DisplayObjectContainer owner;
	public intrinsic.mx.managers.ISystemManager systemManager;
	public Object styleName;
	public intrinsic.flash.display.Sprite focusPane;
	public intrinsic.mx.core.IFlexModuleFactory moduleFactory;
	public String className;
	public String imeMode;
	public Object nonInheritingStyles;
	public Object inheritingStyles;
	public double textHeight2;
	public boolean updateCompletePendingFlag;
	public boolean isPopUp;
	public double explicitMinHeight;
	public double percentWidth;
	public boolean processedDescriptors;
	public double measuredWidth;
	public double baselinePosition;
	public int nestLevel;
	public boolean showInAutomationHierarchy;
	public String automationName;
	public double measuredHeight;
	public double minWidth;
	public double explicitMaxWidth;
	public String toolTip;
	public Object document;
	public double percentHeight;
	public Object automationDelegate;
	public double minHeight;
	public boolean ignorePadding;
	public double measuredMinHeight;
	public double maxWidth;
	public double explicitMaxHeight;
	public int numAutomationChildren;
	public intrinsic.Array automationValue;
	public intrinsic.Array tweeningProperties;
	public double explicitMinWidth;
	public intrinsic.flash.display.DisplayObjectContainer parent;
	public boolean includeInLayout;
	public Object automationTabularData;
	public double maxHeight;
	public double measuredMinWidth;
	public double explicitHeight;

	/** Variables */
	public String _toolTip;
	public int explicitColor;
	public intrinsic.flash.display.DisplayObjectContainer _parent;
	public boolean styleChangedFlag;

	/** Constants */
	public static final int TEXT_WIDTH_PADDING = 0;
	public static final String VERSION = "version";
	public static final int TEXT_HEIGHT_PADDING = 0;

	/** Class Accessors */

	/** Class variables */
	public static boolean debuggingBorders;

/** Contructors */
public UITextField() {
}


/** Static Methods */

/** Methods */
public native double getExplicitOrMeasuredWidth();
public native void replaceText(int arg0, int arg1, String arg2);
public native void styleChanged(String arg0);
public native void setTextFormat(intrinsic.flash.text.TextFormat arg0);
public native void setTextFormat(intrinsic.flash.text.TextFormat arg0, int arg1);
public native void setTextFormat(intrinsic.flash.text.TextFormat arg0, int arg1, int arg2);
public native void insertXMLText(int arg0, int arg1, String arg2);
public native void insertXMLText(int arg0, int arg1, String arg2, boolean arg3);
public native void setFocus();
public native void setColor(int arg0);
public native intrinsic.flash.text.TextFormat getTextStyles();
public native void setActualSize(double arg0, double arg1);
public native boolean owns(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.mx.core.UITextFormat getUITextFormat();
public native Object createAutomationIDPart(intrinsic.mx.automation.IAutomationObject arg0);
public native double getExplicitOrMeasuredHeight();
public native boolean replayAutomatableEvent(intrinsic.flash.events.Event arg0);
public native intrinsic.Array resolveAutomationIDPart(Object arg0);
public native boolean truncateToFit();
public native boolean truncateToFit(String arg0);
public native intrinsic.mx.automation.IAutomationObject getAutomationChildAt(int arg0);
public native void move(double arg0, double arg1);
public native void validateNow();
public native void invalidateDisplayList();
public native void parentChanged(intrinsic.flash.display.DisplayObjectContainer arg0);
public native void setVisible(boolean arg0);
public native void setVisible(boolean arg0, boolean arg1);
public native void invalidateProperties();
public native void initialize();
public native void invalidateSize();
public native void setStyle(String arg0, Object arg1);
public native Object getStyle(String arg0);

}
